declare module "use-image" {
  type ImageStatus = "loading" | "loaded" | "failed";

  export default function useImage(
    url: string,
    crossOrigin?: string
  ): [HTMLImageElement | undefined, ImageStatus];
}
